header{
package com.creon.chem.jcamp;
import antlr.*;
import org.apache.log4j.*;
}

class ASDFLexer extends Lexer;

options {
 exportVocab=ASDFLexer;
 k=2;
 defaultErrorHandler=false;
}

{
    private static Category cat =
        Category.getInstance(ASDFLexer.class);
	private boolean atBOL = true;
}
protected
DIGIT :  '0' .. '9' 
	;
	
protected
SIGN :  '+' | '-'  
	 ;

EOL : ('\n'|'\r'('\n')?)	
	{
		if (cat.isDebugEnabled())
			cat.debug("EOL-Token");
		newline();
		atBOL = true;
	}
   ; 
	 
XCHECK
	:
  	  (SIGN)? (DIGIT)* ('.')? (DIGIT)+ {
	  	if (!atBOL) {
			_ttype = PAC;
			if (cat.isDebugEnabled())
				cat.debug("PAC-Token");
		} else {
			if (cat.isDebugEnabled())
				cat.debug("XCHECK-Token");
		}
		atBOL = false;	
	}
 	;

PAC 
	: (SIGN)? (DIGIT)+ {
 		if (cat.isDebugEnabled())
			cat.debug("PAC-Token");
	}
	;
	
POSSQZ
	: ( '@'|'A' .. 'I' ) (DIGIT)* {
		if (cat.isDebugEnabled())
			cat.debug("POSSQZ-Token");
	}
	;

NEGSQZ
	: ( 'a' .. 'i' ) (DIGIT)* {
		if (cat.isDebugEnabled())
			cat.debug("NEGSQZ-Token");
	}
	;

POSDIF
	: ( '%' | 'J' .. 'R' ) (DIGIT)* {
		if (cat.isDebugEnabled())
			cat.debug("POSDIF-Token");
	}
	;

NEGDIF	
	: ( 'j' .. 'r' ) (DIGIT)* {
		if (cat.isDebugEnabled())
			cat.debug("NEGDIF-Token");
	}
	;

DUP 
	: ( 'S' .. 'Z' | 's' ) (DIGIT)* {
		if (cat.isDebugEnabled())
			cat.debug("DUP-Token");
	}
	;

WS 
	:  (' ' | '\t')+   
	;

ERROR 
	: '?'
	;



 // Single-line comments
protected SL_COMMENT	
	:	"$$" (~('\n'|'\r'))* (EOL)	{
				_ttype = EOL; 
			}	
	;
